<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">

                    <div class="col-md-12 text-center">
                        <h3>{{ viewDate | date:'LLLL' }} {{ viewDate | date:'yyyy' }}</h3>
                    </div>

                    <div class="row text-center">
                        <div class="col-md-12">
                            <div class="btn-group">
                                <!-- (click)="RefreshShift()" -->
                                <div class="btn btn-outline-secondary" mwlCalendarPreviousView [view]="view"
                                    [(viewDate)]="viewDate" (click)="RefreshShift()"
                                    (viewDateChange)="viewDateChange.next(viewDate)">
                                    <i class="fas fa-long-arrow-alt-left"></i>
                                </div>

                                <div class="btn btn-outline-secondary" mwlCalendarToday [(viewDate)]="viewDate"
                                    (viewDateChange)="viewDateChange.next(viewDate)" (click)="RefreshShift()">
                                    This Month
                                </div>
                                <div class="btn btn-outline-secondary" mwlCalendarNextView [view]="view" [(viewDate)]="viewDate"
                                    (viewDateChange)="viewDateChange.next(viewDate)" (click)="RefreshShift()">
                                    <i class="fas fa-long-arrow-alt-right"></i>
                                </div>
                            </div>
                        </div>

                    </div>

                    <div class="appo-calendar">
                    
                        <ng-template #customCellTemplate let-day="day" let-locale="locale">
                            <div class="cal-cell-top">
                                <span class="cal-day-badge calendar-custom-title" *ngIf="day.badgeTotal > 0">
                                    <!-- {{ day.badgeTotal }} -->
                                    {{ day.meta }}
                                </span>
                                <span
                                    class="cal-day-number">{{ day.date | calendarDate:'monthViewDayNumber':locale }}</span>
                            </div>
                            <!-- <small style="margin: 5px">There are {{ day.events.length }} events on this day</small> -->
                        </ng-template>

                        <mwl-calendar-month-view [viewDate]="viewDate" [refresh]="refresh"
                            (beforeViewRender)="beforeMonthViewRender($event)" (dayClicked)="dayClicked($event.day)"
                            [events]="events" (eventClicked)="eventClicked.emit({ event: $event.event })"
                            [cellTemplate]="customCellTemplate">
                        </mwl-calendar-month-view>
                    </div>

                    <div class="edit-shift-tm" *ngIf="viewDateDetails">
                        <h4 class="border-ttl">{{ currentDate | date:'dd/MM/yyyy' }}</h4>
                        <h4 *ngIf="selectedShiftList.length"> Shifts Available Are :</h4>
                        <h4 *ngIf="selectedShiftList.length === 0"> No Shifts Are Available In This Date</h4>

                        <ul *ngFor="let shift of selectedShiftList;let i = index;">
                            <li>
                                <label>
                                    <!--name="shift" value="i" (change)="selectRank(i)" -->
                                    <!-- <input type="radio" *ngIf="shift.type == shift.shift " checked>
                                    <input type="radio" *ngIf="shift.type =='' "> -->
                                    <input type="radio" checked>
                                    {{shift.shift}} : {{ shift.startTime.replace(".",":")}} - {{ shift.endTime.replace(".",":")  }}
                                </label>
                            </li>
                            <!-- <li><label><input type="radio"> Afternoon: 12:00-5:00</label></li> -->
                        </ul>
                    </div>

                    <!-- <div class="text-center">
                        <input type="submit" name="" value="Save Changes" class="btn">
                    </div> -->

                </div>
            </div>
        </div>
    </div>
</div>